Loading...
Searching...
No Matches
Pollset Flags
Apache Portability Runtime library » Poll Routines
Collaboration diagram for Pollset Flags:

## Macros

#define | APR_POLLSET_THREADSAFE 0x001
#define | APR_POLLSET_NOCOPY 0x002
#define | APR_POLLSET_WAKEABLE 0x004
#define | APR_POLLSET_NODEFAULT 0x010

## Detailed Description

## Macro Definition Documentation

## APR_POLLSET_NOCOPY

#define APR_POLLSET_NOCOPY 0x002

Descriptors passed to apr_pollset_add() are not copied

## APR_POLLSET_NODEFAULT

#define APR_POLLSET_NODEFAULT 0x010

Do not try to use the default method if the specified non-default method cannot be used

## APR_POLLSET_THREADSAFE

#define APR_POLLSET_THREADSAFE 0x001

Adding or removing a descriptor is thread-safe

## APR_POLLSET_WAKEABLE

#define APR_POLLSET_WAKEABLE 0x004

Poll operations are interruptable by apr_pollset_wakeup() or apr_pollcb_wakeup()